[PDB-2117] PDB export is broken on recent ankeny-targeted PE builds Created: 2015/10/30  Updated: 2015/11/10  Resolved: 2015/11/03

Status: Closed
Project: PuppetDB
Component/s: None
Affects Version/s: None
Fix Version/s: PDB 3.2.1

Type: Bug Priority: Normal
Reporter: Wyatt Alt Assignee: Unassigned
Resolution: Fixed Votes: 0
Labels: None
Remaining Estimate: Not Specified
Time Spent: Not Specified
Original Estimate: Not Specified

Template:
Story Points: 2
Sprint: PuppetDB 2015-11-04
QA Contact: Kurt Wall

 Description   

Just had Steve Axthelm confirm what Karel Brezina saw the other day. When export runs on PE it crashes on a 406. This does not appear to be happening in FOSS.



 Comments   
Comment by Wyatt Alt [ 2015/10/30 ]

observed on 2015.3.0-rc4-18-g71b2b32 from http://getpe.delivery.puppetlabs.net/, which was a couple days ago. We should confirm on the very latest.

Comment by Russell Mull [ 2015/11/02 ]

Easy to reproduce even when running PE from source.

Comment by Russell Mull [ 2015/11/02 ]

Looks like when running under PE, verify-accepts-json is getting into the middleware stack somehow when it shouldn't be.

Generated at Wed Aug 21 00:49:41 PDT 2019 using JIRA 7.7.1#77002-sha1:e75ca93d5574d9409c0630b81c894d9065296414.